Subject: Re: noob user, want checkins to all be forced to LF terminated lines

From: Jonathan Nieder <[email-masked]>
Date: Sat, 31 Jul 2010 15:38:20 -0500

Walter Bright wrote:

> Why would "git clone" even exist if copying the directory works?

As Ilari said, it works remotely.  It’s even faster than just copying
the directory (since it has to do less reading), and it only copies
the repository, not the work tree or .git/config, which may or may not
be what you want.

More importantly, the reason I mentioned it was this: if you clone
to make your first backup, you are more likely (when appropriate) to
use "git fetch" instead of rsync to update the backup afterwards.
And for that operation, "git fetch" is much more efficient.

Anyway, feel free to ignore this advice.  "cp -a" works fine already
and is sometimes just the right thing to do.

Jonathan